Robotics Systems Types - Tasks #1155
Make multiple versions of rst-converters installable in parallel
08/29/2012 05:02 PM - J. Wienke

Status: Resolved Start date: 08/29/2012
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Build System Estimated time: 0.00 hour
Target version: rsb-0.9

Description

History

#1 - 12/11/2012 12:07 PM - S. Herbrechtsmeier
Do you want to support the parallel usage of different rst-converters versions in a distribution?
If so please add the version to the project (library) name as it is done in other projects. This means that you have a pkg-config file and library name link

per version so that you can use the linker library namespace option. The current behavior doesn't work with the PKG_CONFIG_SYSROOT_DIR option
of pkg-config which is useful when cross compiling packages.

#2 - 06/05/2013 09:53 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100
